Veo 3.1
Entegre et
veo3.1
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veo3.1?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veo3.1?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veo3.1", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "veo3.1",
"input": {
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}
}
Veo 3.1 modelini (veo3.1) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/veo3.1.md
POST https://api.doitong.com/v1/run/veo3.1?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.com/v1/quote/veo3.1, çalıştırmadan önce kesin fiyatı döndürür.
Bu istek: $0,80 800 API kredisi Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
Örnekler
İstem{ "shot": { "composition": "wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike", "lens": "35mm", "frame_rate": "24fps", "camera_movement": "static" }, "subject": { "description": "a futuristic, strong motorbike assembling itself from scattered parts", "wardrobe": "", "props": "mechanical parts, gears, wires, pistons, body panels, wheels" }, "scene": { "location": "large, clear industrial factory floor", "time_of_day": "midday", "environment": "shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze" }, "visual_details": { "action": "motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle", "special_effects": "electric zaps, soft glows, heat distortion waves rising from the exhaust", "hair_clothing_motion": "" }, "cinematography": { "lighting": "bright overhead industrial lighting with sharp contrast, emphasizing form and texture", "color_palette": "warm tones with metallic highlights and soft amber reflections", "tone": "epic and intense, emphasizing mechanical precision and power" }, "audio": { "music": "minimalist, deep synthetic pulses that build with the assembly", "ambient": "deep factory hum, subtle air movements", "sound_effects": "clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble", "mix_level": "cinematic mix with prioritized effects and balanced music bed" }, "dialogue": { "character": "", "line": "", "subtitles": false } }
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/veo3.1?wait=20
fiyat → $0,80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veo3.1?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veo3.1?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veo3.1", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "veo3.1",
"input": {
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
Doitong'ta oluşturuldu
Doitong topluluğunun Veo 3.1 ile oluşturduğu herkese açık çalışmalar. Bir istemi tek tıklamayla yeniden kullanın.
Video
Art style: Modern Webtoon Illustration. Нари спокойно лежит с закрытыми глазами. Внезапно она резко открывает оба глаза, выражая испуг и осознание, что проспала. Быстрое, чёткое комедийное движение. Голова, волосы, подушка и одеяло остаются практически неподвижными. Камера статична. Сохранить...
Video
Art style: Реалистичный кулинарный блог. Камера совершает медленный наезд на ведущую. Она продолжает говорить, используя выразительную жестикуляцию рук. Ее движения плавные и открытые. Она слегка наклоняется вперед, создавая более тесный контакт со зрителем. На заднем плане можно заметить детали...
Video
Art style: Реалистичный кулинарный блог. Камера медленно пролетает над противнем по диагонали. Пальцы ведущей совершают щепотку, и семена кунжута веером рассыпаются над булочками, медленно падая и прилипая к блестящей поверхности. Видно, как под весом семян слой желтка слегка прогибается....
Slow pan across the trees with icons, focusing on the man's hopeful face as he looks up. Off-screen voiceover (all characters have their mouths closed, no one is speaking on screen): Narrator: "Останавливаясь у икон, развешанных прямо на деревьях вдоль тропы, Андрей искренне просил о встрече с...
Женщина громко смеется вместе с друзьями, но внезапно ее смех обрывается, и она с тревогой смотрит вниз. Камера фокусируется на изменении ее настроения от радости к испугу. Off-screen voiceover (all characters have their mouths closed, no one is speaking on screen): Voice: Мужской голос,...
Камера медленно и драматично приближается к плачущему мальчику, стоящему в центре кадра. Мальчики-хулиганы вокруг него активно жестикулируют, жестоко смеются и агрессивно тычут в него пальцами. Проливной дождь льет без остановки, тяжелые капли эффектно разбиваются об асфальт, создавая брызги....
Video
Art style: 3D Anthro. Mr. Pomegranate lifts the portraits: "Two grooms. The famous Leo Lime... and a man nobody has ever seen." Mia jumps up and points at the Lime portrait, bratty voice: "The famous one is mine! Give the mystery guy to the ghost." Grana sits still. SPOKEN LINE — AUTHORITATIVE,...
Кинематографичная сцена в современном офисном коридоре. Огромная дверь с надписью «Фарм» резко открыта, изнутри виден пиксельный мир в стиле Minecraft: квадратные фермы, зелёные блоки, механизмы, лёгкое зелёное и тёплое свечение. Из двери выходит главный герой — толстый, неприятного вида, немного...
Кинематографичная сцена: главный герой открывает дверь и попадает в бесконечный тёмный мир серверов. Камера медленно движется вперёд, показывая бесконечные серверные стойки, мигающие лампы и холодный неоновый свет. Из темноты появляется глава разработки — абсурдно огромный качок с идеальной...
Главный герой открывает дверь и попадает в розовый сказочный HR-мир. Камера показывает пони, сердечки, блестящие облачка, розовый свет и всё вокруг как будто сделано из милоты. В центре появляется бимбо-глава HR — очень гламурная, в розовом, с идеальной внешностью и ярким макияжем. Она дружелюбно...
Главный герой открывает дверь и оказывается в гигантском мире Minecraft-like. Камера показывает бесконечные фермы, механизмы, падающие ресурсы, мобов, редстоун и автоматизацию. На переднем плане стоит глава отдела фарма — квадратный парень с мотыгой в руках. Он разворачивается к герою и жестом...
Кинематографичная сцена: главный герой открывает дверь и попадает в бесконечный тёмный мир серверов. Камера медленно движется вперёд, показывая бесконечные серверные стойки, мигающие лампы и холодный неоновый свет. Из темноты появляется глава разработки — абсурдно огромный качок с идеальной...
Камера показывает рабочую жизнь HR-отдела: одна сотрудница катается на кресле, кто-то берёт подушку Кати, несколько человек сидят и увлечённо болтают, другие пьют чай и кушают, и всё это происходит так, будто это стратегическая работа мирового уровня. Глава HR стоит посреди этого хаоса и с милой...
Кинематографичная сцена в современном офисном коридоре. Главный герой стоит напротив четырёх огромных дверей, каждая из которых выглядит как вход в отдельную вселенную. Над дверями большими буквами написано: Разработка, Маркетинг, HR, Фарм. Сначала камера показывает героя со спины или в...
Глава фарма ведёт главного героя по своему миру и показывает, как устроены фермы и процессы. Затем он указывает на отдельную часть системы, где визуально показана новая схема выдачи аккаунтов по новым гео. Вокруг двигаются механизмы, работают фермы, падает дроп, всё автоматизировано и работает...
Камера показывает гигантского киберпанк-робота в мире серверов. Робот медленно выходит из темноты, на нём современное худи, широкие штаны, в руке электронка, от него идёт холодное неоновое свечение. Глава разработки с гордостью презентует его главному герою, жестом показывая на робота. Робот...
Veo 3.1 hakkında
Veo 3.1, dudak senkronlu diyalog, ortam sesi ve müziği aynı geçişte oluşturarak son derece gerçekçi görüntüler üretir ve kamera ile ışıklandırma yönlendirmelerini yakından takip eder. Klipler yatay veya dikey biçimde 4, 6 veya 8 saniye uzunluğunda; 720p, 1080p veya 4K çözünürlüktedir. Daha düşük fiyat için ses kapatılabilir.
Parametreler
promptgerekli
aspect_ratioisteğe bağlı
durationisteğe bağlı
negative_promptisteğe bağlı
resolutionisteğe bağlı
generate_audioisteğe bağlı
seedisteğe bağlı
auto_fixisteğe bağlı
safety_toleranceisteğe bağlı
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "veo3.1",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 800,
"usd": "0.80",
"charged": 800,
"refunded": 0
},
"input": {
"prompt": "A street interviewer in New York asks a passer-by \"Did you hear the news?\" and she laughs \"Everyone has!\"",
"duration": 8,
"resolution": "720p"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- video
- object {url, content_type, file_name, file_size}Model tarafından üretilen video.
Diğer Veo 3.1 varyantları
Daha fazla model: Metinden Videoya
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/veo3.1.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt